Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.net
Class ConnectionFilterImpl

    java.lang.Object
      |
      +--weblogic.security.net.ConnectionFilterImpl

public class ConnectionFilterImpl
extends java.lang.Object
implements ConnectionFilter, ConnectionFilterRulesListener

Default connection filter implementation. This class accepts all incoming connections and also provides static factory methods that allow the server to obtain the current connection filter.

Author:
  Copyright (c) 1999-2002 by BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ConnectionFilterImpl()` Public no-arg constructor.

Method Summary
`void` | `accept(ConnectionEvent evt)` Filters a client connection event.
`void` | `checkRules(java.lang.String[] filterList)` Check the current rules.
`protected void` | `checkRules(java.lang.String[] filterList, java.util.Vector entries)`
`static boolean` | `filterEnabled()` Indicate whether the connection filter is enabled in this server.
`static ConnectionFilter` | `getFilter()` Return the current server-wide connection filter in use, if any.
`protected static boolean` | `parseAction(java.lang.String whatever)`
`protected static int[]` | `parseAddresses(java.lang.String str)`
`protected void` | `parseLine(java.lang.String line, java.util.Vector entries)`
`protected static int` | `parseNetmask(java.lang.String maskStr)`
`protected static int` | `parseProtocols(java.util.StringTokenizer toks)`
`protected static int` | `parseSingleAddress(java.lang.String str)`
`static void` | `setFilter(ConnectionFilter filter)` Deprecated.
`void` | `setRules(java.lang.String[] filterList)` Set and check the current rules.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionFilterImpl

    public ConnectionFilterImpl()

  Public no-arg constructor.

Method Detail

### checkRules

    public void checkRules(java.lang.String[] filterList)
                    throws java.text.ParseException

  Check the current rules.
  Specified by:
    checkRules in interface ConnectionFilterRulesListener

  Parameters:
    `is` - list of filter rules.
  Throws:
    java.text.ParseException - a problem occurred while reading the rules.

### checkRules

    protected void checkRules(java.lang.String[] filterList,
                              java.util.Vector entries)
                       throws java.text.ParseException

### setRules

    public void setRules(java.lang.String[] filterList)
                  throws java.text.ParseException

  Set and check the current rules.
  Specified by:
    setRules in interface ConnectionFilterRulesListener

  Parameters:
    `is` - list of filter rules.
  Throws:
    java.text.ParseException - a problem occurred while reading the rules.

### accept

    public void accept(ConnectionEvent evt)
                throws FilterException

  Filters a client connection event. If the connection should be allowed, this method returns normally.
  Specified by:
    accept in interface ConnectionFilter

  Parameters:
    `evt` - the connection event
  Throws:
    FilterException - the connection should be rejected by the server

### parseLine

    protected void parseLine(java.lang.String line,
                             java.util.Vector entries)
                      throws java.io.IOException,
                             java.lang.IllegalArgumentException

### parseProtocols

    protected static final int parseProtocols(java.util.StringTokenizer toks)
                                       throws FilterException

### parseAddresses

    protected static final int[] parseAddresses(java.lang.String str)
                                         throws java.io.IOException

### parseSingleAddress

    protected static final int parseSingleAddress(java.lang.String str)
                                           throws java.io.IOException

### parseNetmask

    protected static final int parseNetmask(java.lang.String maskStr)
                                     throws java.io.IOException

### parseAction

    protected static final boolean parseAction(java.lang.String whatever)
                                        throws java.io.IOException

### filterEnabled

    public static final boolean filterEnabled()

  Indicate whether the connection filter is enabled in this server.

### getFilter

    public static final ConnectionFilter getFilter()

  Return the current server-wide connection filter in use, if any.

### setFilter

    public static final void setFilter(ConnectionFilter filter)

  Deprecated.
  Set the connection filter to the given instance. This method can only be called once per server instance.

  This method is deprecated. Use the ConnectionFilter attribute on the SecurityMBean instead. Any filter set through this method will not be reflected in the console.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference